gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Window Toplevel for embedding into other processes. Together with , provides the ability to embed widgets from one process into another process in a fashion that is transparent to the user. One process creates a widget and, passes the ID of that widgets window to the other process, which then creates a with that window ID. Any widgets contained in the then will appear inside the first applications window.
- Constructor
  2.12.0.0
  Protected constructor.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.12.0.0
  an object of type
  Creates a new widget inside the identified by socket_id.
  Creates a new widget inside the identified by socket_id. If socket_id is 0, the is left "unplugged" and can later be plugged into a by .
- Constructor
  2.12.0.0
  a
  a , the ID of the socket to connect to on .
  Public constructor.
- Method
  2.12.0.0
  System.Void `` an object of type Finish the initialization of for a given identified by socket_id. Finish the initialization of for a given identified by socket_id which is currently displayed on display. This method will generally only be used by classes deriving from .
- Method
  2.12.0.0
  System.Void `` `` a a Finish the initialization of the plug identified by which is currently displayed on . This method will generally only be used by derived classes.
- Event
  2.12.0.0
  GLib.Signal("embedded")
  System.EventHandler Raised when the plug window is reparented to the socket window.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  System.UInt32 Gets the window ID of a widget. an object of type Gets the window ID of a widget, which can then be used to embed this window inside another window, for instance with .
- Property
  2.12.0.0
  GLib.Property("embedded")
  System.Boolean IsEmbedded property. If , the plus is embedded in a socket.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideEmbedded", Type=typeof(Gtk.Plug))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.